import { Overlay, OverlayRef } from '@angular/cdk/overlay';
import { ElementRef, ViewContainerRef } from '@angular/core';
import { ZuiEventService } from '../../event';
import { ZuiPopoverComponent } from '../index.component';
export declare class ZuiPopoverDirective {
    #private;
    private elementRef;
    private overlay;
    private viewContainerRef;
    private zuiEventService;
    get popover(): ZuiPopoverComponent;
    set popover(zuiPopover: ZuiPopoverComponent);
    popoverData: any;
    overlayRef: OverlayRef;
    constructor(elementRef: ElementRef, overlay: Overlay, viewContainerRef: ViewContainerRef, zuiEventService: ZuiEventService);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
}
